{ pkgs, lib }:
with pkgs;

rec {
  name = "libc";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig = lib.renderDhallInit ./libc.dhall "{=}";

  bootModules = {
    "libc.lib.so" = "${depot.libc}/lib/libc.lib.so";
    "libm.lib.so" = "${depot.libc}/lib/libm.lib.so";
    "posix.lib.so" = "${depot.posix}/lib/posix.lib.so";
    "test-libc" = "${depot.test-libc}/bin/test-libc";
    "vfs.lib.so" = "${depot.vfs}/lib/vfs.lib.so";
  };

  qemuMem = 384;

  testScript = ''
    run_genode_until "child .* exited with exit value 0.*\n" 30
  '';
}
