{ pkgs, lib }:
with pkgs;

rec {
  name = "solo5";
  meta.maintainers = with pkgs.stdenv.lib.maintainers; [ ehmry ];

  testConfig = lib.renderDhallInit ./solo5.dhall "{=}";

  bootModules = {
    sequence = "${genode.os}/bin/sequence";
    solo5-test_blk = "${solo5.tests}/bin/solo5-test_blk";
    solo5-test_fpu = "${solo5.tests}/bin/solo5-test_fpu";
    solo5-test_globals = "${solo5.tests}/bin/solo5-test_globals";
    solo5-test_hello = "${solo5.tests}/bin/solo5-test_hello";
    solo5-test_quiet = "${solo5.tests}/bin/solo5-test_quiet";
    solo5-test_ssp = "${solo5.tests}/bin/solo5-test_ssp";
    "solo5.lib.so" = "${solo5}/lib/solo5-bindings-genode/solo5.lib.so";
    nic_loopback = "${genode.os}/bin/nic_loopback";
    ram_block = "${genode.os}/bin/ram_block";
  };

  testScript = ''
    run_genode_until "Error: stack protector check failed" 30
  '';
}
